"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _react = require("@testing-library/react");
var _index = _interopRequireDefault(require("../index"));
require("@testing-library/jest-dom");
var _jsxRuntime = require("@emotion/react/jsx-runtime");
var _SourceCodeEditor, _SourceCodeEditor2;
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
describe('<SourceCodeEditor />', () => {
  describe('syntax highlight', () => {
    it('should highlight jsx code', async () => {
      const _render = (0, _react.render)(_SourceCodeEditor || (_SourceCodeEditor = (0, _jsxRuntime.jsx)(_index.default, {
          label: "test",
          language: "jsx",
          defaultValue: "const a = 2;"
        }))),
        container = _render.container;
      const activeLine = container.querySelectorAll('.cm-content span');
      expect(activeLine).toHaveLength(3);
      expect(activeLine[0]).toHaveStyle({
        color: '#770088'
      });
      expect(activeLine[1]).toHaveStyle({
        color: '#0000ff'
      });
      expect(activeLine[2]).toHaveStyle({
        color: '#116644'
      });
    });
    it('should link editor element to label using aria-labelledby attribute', async () => {
      var _container$querySelec;
      const _render2 = (0, _react.render)(_SourceCodeEditor2 || (_SourceCodeEditor2 = (0, _jsxRuntime.jsx)(_index.default, {
          label: "test",
          language: "jsx",
          defaultValue: "const a = 2;"
        }))),
        container = _render2.container;
      const editorElement = container.querySelector('[role="textbox"]');
      const labelId = (_container$querySelec = container.querySelector('[class$="-label"]')) === null || _container$querySelec === void 0 ? void 0 : _container$querySelec.id;
      expect(editorElement).toHaveAttribute('aria-labelledby', labelId);
    });
  });
});