"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.rtlHorizontalArrowKeymap = void 0;
var _commands = require("@codemirror/commands");
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

const rtlHorizontalArrowKeymap = exports.rtlHorizontalArrowKeymap = [
// Left/Start/Forward
{
  key: 'ArrowLeft',
  run: _commands.cursorCharRight,
  shift: _commands.selectCharRight,
  preventDefault: true
}, {
  key: 'Mod-ArrowLeft',
  mac: 'Alt-ArrowLeft',
  run: _commands.cursorGroupRight,
  shift: _commands.selectGroupRight
}, {
  key: 'Alt-ArrowLeft',
  mac: 'Ctrl-ArrowLeft',
  run: _commands.cursorSyntaxRight,
  shift: _commands.selectSyntaxRight
}, {
  mac: 'Cmd-ArrowLeft',
  run: _commands.cursorLineBoundaryRight,
  shift: _commands.selectLineBoundaryRight
}, {
  key: 'Home',
  run: _commands.cursorLineBoundaryForward,
  shift: _commands.selectLineBoundaryForward
},
// Right/End/Backward
{
  key: 'ArrowRight',
  run: _commands.cursorCharLeft,
  shift: _commands.selectCharLeft,
  preventDefault: true
}, {
  key: 'Mod-ArrowRight',
  mac: 'Alt-ArrowRight',
  run: _commands.cursorGroupLeft,
  shift: _commands.selectGroupLeft
}, {
  key: 'Alt-ArrowRight',
  mac: 'Ctrl-ArrowRight',
  run: _commands.cursorSyntaxLeft,
  shift: _commands.selectSyntaxLeft
}, {
  mac: 'Cmd-ArrowRight',
  run: _commands.cursorLineBoundaryLeft,
  shift: _commands.selectLineBoundaryLeft
}, {
  key: 'End',
  run: _commands.cursorLineBoundaryBackward,
  shift: _commands.selectLineBoundaryBackward
},
// Delete/Backspace
{
  key: 'Delete',
  run: _commands.deleteCharBackward
}, {
  key: 'Mod-Delete',
  mac: 'Alt-Delete',
  run: _commands.deleteGroupBackward
}, {
  key: 'Backspace',
  run: _commands.deleteCharForward,
  shift: _commands.deleteCharForward
}, {
  key: 'Mod-Backspace',
  mac: 'Alt-Backspace',
  run: _commands.deleteGroupForward
}, {
  mac: 'Mod-Delete',
  run: _commands.deleteToLineStart
}, {
  mac: 'Mod-Backspace',
  run: _commands.deleteToLineEnd
}];