"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.propTypes = exports.allowedProps = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _controllable = require("@instructure/ui-prop-types/lib/controllable.js");
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

const propTypes = exports.propTypes = {
  label: _propTypes.default.string.isRequired,
  language: _propTypes.default.oneOf(['sh', 'js', 'json', 'javascript', 'jsx', 'shell', 'css', 'html', 'markdown', 'yaml', 'yml', 'bash']),
  readOnly: _propTypes.default.bool,
  editable: _propTypes.default.bool,
  lineNumbers: _propTypes.default.bool,
  foldGutter: _propTypes.default.bool,
  highlightActiveLineGutter: _propTypes.default.bool,
  highlightActiveLine: _propTypes.default.bool,
  lineWrapping: _propTypes.default.bool,
  autofocus: _propTypes.default.bool,
  spellcheck: _propTypes.default.bool,
  direction: _propTypes.default.oneOf(['ltr', 'rtl']),
  rtlMoveVisually: _propTypes.default.bool,
  indentOnLoad: _propTypes.default.bool,
  indentWithTab: _propTypes.default.bool,
  indentUnit: _propTypes.default.string,
  defaultValue: _propTypes.default.string,
  value: (0, _controllable.controllable)(_propTypes.default.string, 'onChange', 'defaultValue'),
  onChange: _propTypes.default.func,
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  attachment: _propTypes.default.oneOf(['bottom', 'top']),
  height: _propTypes.default.string,
  width: _propTypes.default.string,
  // darkTheme: PropTypes.bool,
  elementRef: _propTypes.default.func,
  containerRef: _propTypes.default.func,
  searchConfig: _propTypes.default.object
};
const allowedProps = exports.allowedProps = ['label', 'language', 'readOnly', 'editable', 'lineNumbers', 'foldGutter', 'highlightActiveLineGutter', 'highlightActiveLine', 'lineWrapping', 'autofocus', 'spellcheck', 'direction', 'rtlMoveVisually', 'indentOnLoad', 'indentWithTab', 'indentUnit', 'defaultValue', 'value', 'onChange', 'onFocus', 'onBlur', 'attachment', 'height', 'width',
// 'darkTheme',
'elementRef', 'containerRef', 'searchConfig'];